# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "fluent-plugin-file-alternative"
  s.version = "0.2.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["TAGOMORI Satoshi"]
  s.date = "2016-01-06"
  s.description = "alternative implementation of out_file, with various configurations"
  s.email = ["tagomoris@gmail.com"]
  s.files = [".gitignore", ".travis.yml", "Gemfile", "LICENSE.txt", "README.md", "Rakefile", "fluent-plugin-file-alternative.gemspec", "lib/fluent/plugin/out_file_alternative.rb", "test/helper.rb", "test/plugin/test_out_file_alternative.rb"]
  s.homepage = "https://github.com/tagomoris/fluent-plugin-file-alternative"
  s.licenses = ["Apache-2.0"]
  s.require_paths = ["lib"]
  s.rubygems_version = "1.8.23"
  s.summary = "alternative implementation of out_file"
  s.test_files = ["test/helper.rb", "test/plugin/test_out_file_alternative.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<fluentd>, [">= 0.10.39"])
      s.add_runtime_dependency(%q<fluent-mixin-plaintextformatter>, [">= 0"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<test-unit>, [">= 0"])
    else
      s.add_dependency(%q<fluentd>, [">= 0.10.39"])
      s.add_dependency(%q<fluent-mixin-plaintextformatter>, [">= 0"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<test-unit>, [">= 0"])
    end
  else
    s.add_dependency(%q<fluentd>, [">= 0.10.39"])
    s.add_dependency(%q<fluent-mixin-plaintextformatter>, [">= 0"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<test-unit>, [">= 0"])
  end
end
